Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/statisticsTab.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/statisticsTab.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/statisticsTab.component.ts	(revision 58275)
@@ -9,28 +9,33 @@
     template: `
       <errorMessages [status]="[fetchPublications.searchUtils.status, fetchDatasets.searchUtils.status]" [type]="'statistics'" tab_error_class=true></errorMessages>
 
-      <div *ngIf="(fetchPublications.searchUtils.status == errorCodes.DONE || fetchDatasets.searchUtils.status == errorCodes.DONE)">
-        <p class="uk-text-bold">Research Results Timeline</p>
-        <i-frame  [url]=docsTimelineUrl ></i-frame>
-        <p class="uk-text-bold">Research Results Types</p>
-        <i-frame [url]=docsTypesUrl ></i-frame>
-      </div>
+      <ng-container *ngIf="(fetchPublications.searchUtils.status == errorCodes.DONE || fetchDatasets.searchUtils.status == errorCodes.DONE)">
+        <div class="uk-padding uk-padding-remove-top">
+          <span class="uk-text-bold uk-text-small">Research Results Timeline</span>
+          <i-frame  [url]=docsTimelineUrl ></i-frame>
+        </div>
+        <div class="uk-padding uk-padding-remove-top">
+          <span class="uk-text-bold uk-text-small">Research Results Types</span>
+          <i-frame [url]=docsTypesUrl ></i-frame>
+        </div>
+      </ng-container>
 
-      <div *ngIf="fetchPublications.searchUtils.totalResults > 0 || (fetchDatasets.searchUtils.totalResults > 0)">
-        <p class="uk-text-bold">Funders in Research Results of content provider</p>
+      <div *ngIf="fetchPublications.searchUtils.totalResults > 0 || (fetchDatasets.searchUtils.totalResults > 0)"
+            class="uk-padding uk-padding-remove-top">
+        <span class="uk-text-bold uk-text-small">Funders in Research Results of content provider</span>
         <i-frame  [url]=docsFunderUrl ></i-frame>
       </div>
 
-      <div *ngIf="fetchPublications.searchUtils.totalResults > 0 ">
-        <p class="uk-text-bold">Projects with most Publications</p>
+      <div *ngIf="fetchPublications.searchUtils.totalResults > 0 "
+            class="uk-padding uk-padding-remove-top">
+        <span class="uk-text-bold uk-text-small">Projects with most Publications</span>
         <i-frame [url]=pubsProjectsUrl ></i-frame>
       </div>
 
-      <div *ngIf="(fetchDatasets.searchUtils.totalResults > 0)">
-        <div>
-          <p class="uk-text-bold">Projects with most Research Data</p>
-          <i-frame  [url]=dataProjectsUrl></i-frame>
-        </div>
+      <div *ngIf="(fetchDatasets.searchUtils.totalResults > 0)"
+            class="uk-padding uk-padding-remove-top">
+        <span class="uk-text-bold uk-text-small">Projects with most Research Data</span>
+        <i-frame  [url]=dataProjectsUrl></i-frame>
       </div>
     `
 })
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.service.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.service.ts	(revision 58275)
@@ -109,6 +109,21 @@
                 this.dataProviderInfo.originalId = originalId;
               }
             }
+
+            this.dataProviderInfo.subjects = [];
+            length = Array.isArray(data[0]['subjects']) ? data[0]['subjects'].length : 1;
+            for(let i=0; i<length; i++) {
+              let subject = Array.isArray(data[0]['subjects']) ? data[0]['subjects'][i] :data[0]['subjects'];
+              if(subject && subject.content) {
+                this.dataProviderInfo.subjects.push(subject.content);
+              }
+            }
+
+            if(!Array.isArray(data[0]['description'])) {
+              this.dataProviderInfo.description = (data[0]['description']) ? String(data[0]['description']) : "";
+            } else {
+              this.dataProviderInfo.description = (data[0]['description'][0]) ? String(data[0]['description'][0]) : "";
+            }
         }
 
         if(data[1] != null) {
@@ -141,8 +156,6 @@
                 this.dataProviderInfo.tabs.push({"name": "Content Providers", "content": "datasourcesTab"});
                 this.dataProviderInfo.tabs2.push("Content Providers");
             }
-            this.dataProviderInfo.tabs.push({"name": "Organizations", "content": "organizationsTab"});
-            this.dataProviderInfo.tabs2.push("Organizations");
 
             if(this.dataProviderInfo.tabsInTypes.relatedDatasourcesTab.has(data[1].classid)) {
                 this.dataProviderInfo.tabs.push({"name": "Related Content Providers", "content": "relatedDatasourcesTab"});
@@ -219,7 +232,7 @@
                         }
 
                         this.dataProviderInfo.organizations[counter] = {"name": "", "id": ""};
-                        this.dataProviderInfo.organizations[counter]['name'] = mydata.legalname;
+                        this.dataProviderInfo.organizations[counter]['name'] = (mydata.legalname ? mydata.legalname : "[no title available");
                         this.dataProviderInfo.organizations[counter]['id'] = mydata['to'].content;
 
                         if(mydata.country != '' && mydata['country'].classname != '') {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.component.ts	(revision 58275)
@@ -1,5 +1,5 @@
 import {merge as observableMerge} from 'rxjs';
-import {Component, Input} from '@angular/core';
+import {Component, Input, ViewChild} from '@angular/core';
 import {ActivatedRoute, Router} from '@angular/router';
 import {Meta, Title} from '@angular/platform-browser';
 
@@ -41,6 +41,7 @@
 
   // Variable to specify requests with either collectedFrom or hostedBy
   public paramsForSearchLink = {};
+  public resultParamsForSearchLink = {};
 
   // Metrics tab variables
   public metricsClicked: boolean;
@@ -58,6 +59,9 @@
   public dataProjectsUrl: string;
   public pubsProjectsUrl: string;
 
+  @ViewChild('statisticsModal') statisticsModal;
+  @ViewChild('relatedDatasourcesModal') relatedDatasourcesModal;
+
   // Variables for publications, research data, projects, content providers, related content providers tabs
   public fetchPublications: FetchResearchResults;
   public fetchDatasets: FetchResearchResults;
@@ -69,6 +73,7 @@
   public fetchAggregatorsDatasets: FetchResearchResults;
   public fetchAggregatorsSoftware: FetchResearchResults;
   public fetchAggregatorsOrps: FetchResearchResults;
+  public fetchAggregatorsResults: FetchResearchResults;
 
   public loadingRelatedDatasources: boolean = true;
 
@@ -90,6 +95,22 @@
   private reloadDataproviders: boolean = true;
   private reloadRelatedDatasources: boolean = true;
 
+  // Organizations variables for view more/less functionality
+  public thresholdOrganizations: number = 10;
+  public showNumOrganizations: number = 10;
+
+  // Subjects variables for view more/less functionality
+  public thresholdSubjects: number = 20;
+  public showNumSubjects: number = 20;
+
+  // Description variables for view more/less functionality
+  public thresholdDescription: number = 670;
+  public showNumDescription: number = 670;
+
+  public indexUpdateDate: Date;
+  public showFeedback: boolean = false;
+  public feedbackFields: string [] = ['Name', 'Organizations','Country', 'Other'];
+  
   sub: any;
   piwiksub: any;
   subInfo: any;
@@ -121,6 +142,9 @@
     this.route.data
       .subscribe((data: { envSpecific: EnvProperties }) => {
         this.properties = data.envSpecific;
+        if(this.properties.lastIndexUpdate) {
+          this.indexUpdateDate = new Date(this.properties.lastIndexUpdate);
+        }
         //this.getDivContents();
         this.getPageContents();
         this.updateUrl(data.envSpecific.baseLink + this._router.url);
@@ -171,7 +195,7 @@
 
   private getDataProviderInfo(id: string) {
     this.warningMessage = '';
-    this.errorMessage = ""
+    this.errorMessage = "";
     this.showLoading = true;
 
     this.dataProviderInfo = null;
@@ -284,24 +308,43 @@
       //    return tab.name === 'Publications';
       //})) {
       //    this.relatedDataprovidersResultsType = 'publications';
-      this.fetchAggregatorsPublications = new FetchResearchResults(this._searchResearchResultsService);
-      //} else {
-      //   this.relatedDataprovidersResultsType = 'datasets';
-      this.fetchAggregatorsDatasets = new FetchResearchResults(this._searchResearchResultsService);
-      //}
-      this.fetchAggregatorsSoftware = new FetchResearchResults(this._searchResearchResultsService);
-      this.fetchAggregatorsOrps = new FetchResearchResults(this._searchResearchResultsService);
+
+      // this.fetchAggregatorsPublications = new FetchResearchResults(this._searchResearchResultsService);
+      // //} else {
+      // //   this.relatedDataprovidersResultsType = 'datasets';
+      // this.fetchAggregatorsDatasets = new FetchResearchResults(this._searchResearchResultsService);
+      // //}
+      // this.fetchAggregatorsSoftware = new FetchResearchResults(this._searchResearchResultsService);
+      // this.fetchAggregatorsOrps = new FetchResearchResults(this._searchResearchResultsService);
+      this.fetchAggregatorsResults = new FetchResearchResults(this._searchResearchResultsService);
     }
-    if (this.dataProviderInfo.resultsBy == "collectedFrom") {
-      //this.paramsForSearchLink = "?collectedFrom="+this.datasourceId+"&co=and";
-      this.paramsForSearchLink = this.routerHelper.createQueryParams(['collectedFrom', 'cl'], [this.datasourceId, 'and']);
-    } else if (this.dataProviderInfo.resultsBy == "hostedBy") {
-      //this.paramsForSearchLink = "?hostedBy="+this.datasourceId+"&ho=and";
-      this.paramsForSearchLink = this.routerHelper.createQueryParams(['hostedBy', 'hs'], [this.datasourceId, 'and']);
-    }
+    // if (this.dataProviderInfo.resultsBy == "collectedFrom") {
+    //   //this.paramsForSearchLink = "?collectedFrom="+this.datasourceId+"&co=and";
+    //   this.paramsForSearchLink = this.routerHelper.createQueryParams(['f0', 'fv0'], ["collectedfromdatasourceid", this.datasourceId]);
+    //   this.resultParamsForSearchLink = this.routerHelper.createQueryParams(['collectedFrom', 'cl', 'qf'], [this.datasourceId, 'and', 'false']);
+    // } else if (this.dataProviderInfo.resultsBy == "hostedBy") {
+    //   //this.paramsForSearchLink = "?hostedBy="+this.datasourceId+"&ho=and";
+    //   this.paramsForSearchLink = this.routerHelper.createQueryParams(['f0', 'fv0'], ["resulthostingdatasourceid", this.datasourceId]);
+    //   this.resultParamsForSearchLink = this.routerHelper.createQueryParams(['hostedBy', 'hs', 'qf'], [this.datasourceId, 'and', 'false']);
+    // }
 
   }
 
+  public getParamsForSearchLink(type: string = "") {
+    let resultsBy: string = "";
+    // if(this.dataProviderInfo.resultsBy == "collectedFrom") {
+    //   resultsBy = "collectedfromdatasourceid"
+    // } else if (this.dataProviderInfo.resultsBy == "hostedBy") {
+    //   resultsBy = "resulthostingdatasourceid";
+    // }
+
+    if(type) {
+      return this.routerHelper.createQueryParams(['f0', 'fv0', 'f1', 'fv1', 'type', 'qf'], ["collectedfromdatasourceid", this.datasourceId, "resulthostingdatasourceid,or", this.datasourceId, type, "false"]);
+    } else {
+      return this.routerHelper.createQueryParams(['f0', 'fv0', 'f1', 'fv1'], ["collectedfromdatasourceid", this.datasourceId, "resulthostingdatasourceid,or", this.datasourceId]);
+    }
+  }
+
   private count(page: number, size: number) {
     for (let i = 0; i < this.dataProviderInfo.tabs.length; i++) {
       let content: string = this.dataProviderInfo.tabs[i].content;
@@ -427,33 +470,49 @@
   private searchRelatedDatasources(page: number, size: number) {
     // Currently no counting is done for this tab. Following condition is always false
 
+    // if (this.reloadRelatedDatasources &&
+    //   (this.fetchAggregatorsPublications.searchUtils.status == this.errorCodes.LOADING ||
+    //     this.fetchAggregatorsPublications.searchUtils.status == this.errorCodes.DONE)
+    //   &&
+    //   (this.fetchAggregatorsDatasets.searchUtils.status == this.errorCodes.LOADING ||
+    //     this.fetchAggregatorsDatasets.searchUtils.status == this.errorCodes.DONE)
+    //   &&
+    //   (this.fetchAggregatorsSoftware.searchUtils.status == this.errorCodes.LOADING ||
+    //     this.fetchAggregatorsSoftware.searchUtils.status == this.errorCodes.DONE)
+    //   &&
+    //   (this.fetchAggregatorsOrps.searchUtils.status == this.errorCodes.LOADING ||
+    //     this.fetchAggregatorsOrps.searchUtils.status == this.errorCodes.DONE)
+    // ) {
+    //   this.relatedDatasourcesSub = observableMerge(this.fetchAggregatorsPublications.requestComplete, this.fetchAggregatorsDatasets.requestComplete, this.fetchAggregatorsSoftware.requestComplete, this.fetchAggregatorsOrps.requestComplete)
+    //     .subscribe(
+    //       data => {
+    //       },
+    //       err => {
+    //       },
+    //       () => {
+    //         this.preprocessRelatedDatasources();
+    //       }
+    //     );
+    //
+    //   this.fetchAggregatorsPublications.getAggregatorResults("publication", this.datasourceId, page, size, this.properties);
+    //   this.fetchAggregatorsDatasets.getAggregatorResults("dataset", this.datasourceId, page, size, this.properties);
+    //   this.fetchAggregatorsSoftware.getAggregatorResults("software", this.datasourceId, page, size, this.properties);
+    //   this.fetchAggregatorsOrps.getAggregatorResults("other", this.datasourceId, page, size, this.properties);
     if (this.reloadRelatedDatasources &&
-      (this.fetchAggregatorsPublications.searchUtils.status == this.errorCodes.LOADING ||
-        this.fetchAggregatorsPublications.searchUtils.status == this.errorCodes.DONE)
-      &&
-      (this.fetchAggregatorsDatasets.searchUtils.status == this.errorCodes.LOADING ||
-        this.fetchAggregatorsDatasets.searchUtils.status == this.errorCodes.DONE)
-      &&
-      (this.fetchAggregatorsSoftware.searchUtils.status == this.errorCodes.LOADING ||
-        this.fetchAggregatorsSoftware.searchUtils.status == this.errorCodes.DONE)
-      &&
-      (this.fetchAggregatorsOrps.searchUtils.status == this.errorCodes.LOADING ||
-        this.fetchAggregatorsOrps.searchUtils.status == this.errorCodes.DONE)) {
-      this.relatedDatasourcesSub = observableMerge(this.fetchAggregatorsPublications.requestComplete, this.fetchAggregatorsDatasets.requestComplete, this.fetchAggregatorsSoftware.requestComplete, this.fetchAggregatorsOrps.requestComplete)
-        .subscribe(
-          data => {
-          },
-          err => {
-          },
-          () => {
-            this.preprocessRelatedDatasources();
-          }
-        )
+      (this.fetchAggregatorsResults.searchUtils.status == this.errorCodes.LOADING ||
+        this.fetchAggregatorsResults.searchUtils.status == this.errorCodes.DONE)
+    ) {
+      this.relatedDatasourcesSub = this.fetchAggregatorsResults.requestComplete.subscribe(
+        data => {},
+        err => {},
+        () => {
+            //this.preprocessRelatedDatasources();
+          this.dataProviderInfo.relatedDatasources = this.fetchAggregatorsResults.results;
+          this.loadingRelatedDatasources = false;
+        }
+      );
 
-      this.fetchAggregatorsPublications.getAggregatorResults("publication", this.datasourceId, page, size, this.properties);
-      this.fetchAggregatorsDatasets.getAggregatorResults("dataset", this.datasourceId, page, size, this.properties);
-      this.fetchAggregatorsSoftware.getAggregatorResults("software", this.datasourceId, page, size, this.properties);
-      this.fetchAggregatorsOrps.getAggregatorResults("other", this.datasourceId, page, size, this.properties);
+      this.fetchAggregatorsResults.getAggregatorResults("results", this.datasourceId, page, size, this.properties);
     } else {
       this.loadingRelatedDatasources = false;
     }
@@ -463,78 +522,79 @@
   }
 
   private countRelatedDatasources(page: number, size: number) {
-    this.fetchAggregatorsPublications.getAggregatorResults("publication", this.datasourceId, page, size, this.properties);
-    this.fetchAggregatorsDatasets.getAggregatorResults("dataset", this.datasourceId, page, size, this.properties);
-    this.fetchAggregatorsSoftware.getAggregatorResults("software", this.datasourceId, page, size, this.properties);
-    this.fetchAggregatorsOrps.getAggregatorResults("other", this.datasourceId, page, size, this.properties);
+    // this.fetchAggregatorsPublications.getAggregatorResults("publication", this.datasourceId, page, size, this.properties);
+    // this.fetchAggregatorsDatasets.getAggregatorResults("dataset", this.datasourceId, page, size, this.properties);
+    // this.fetchAggregatorsSoftware.getAggregatorResults("software", this.datasourceId, page, size, this.properties);
+    // this.fetchAggregatorsOrps.getAggregatorResults("other", this.datasourceId, page, size, this.properties);
+    this.fetchAggregatorsResults.getAggregatorResults("results", this.datasourceId, page, size, this.properties);
   }
 
 
-  private preprocessRelatedDatasources() {
-    if (this.fetchAggregatorsPublications.searchUtils.status == this.errorCodes.DONE ||
-      this.fetchAggregatorsDatasets.searchUtils.status == this.errorCodes.DONE ||
-      this.fetchAggregatorsSoftware.searchUtils.status == this.errorCodes.DONE ||
-      this.fetchAggregatorsOrps.searchUtils.status == this.errorCodes.DONE) {
-      this.dataProviderInfo.relatedDatasources = new Map<string, { "name": string, "countPublications": string, "countDatasets": string, "countSoftware": string, "countOrps": string }>();
-    }
-    for (let result of this.fetchAggregatorsPublications.results) {
-      if (!this.dataProviderInfo.relatedDatasources.has(result.id)) {
-        this.dataProviderInfo.relatedDatasources.set(result.id, {
-          "name": result.name,
-          "countPublications": result.count,
-          "countDatasets": "0",
-          "countSoftware": "0",
-          "countOrps": "0"
-        });
-      } else {
-        this.dataProviderInfo.relatedDatasources.get(result.id).countPublications = parseInt(this.dataProviderInfo.relatedDatasources.get(result.id).countPublications + result.count) + "";
-      }
-    }
+  // private preprocessRelatedDatasources() {
+  //   if (this.fetchAggregatorsPublications.searchUtils.status == this.errorCodes.DONE ||
+  //     this.fetchAggregatorsDatasets.searchUtils.status == this.errorCodes.DONE ||
+  //     this.fetchAggregatorsSoftware.searchUtils.status == this.errorCodes.DONE ||
+  //     this.fetchAggregatorsOrps.searchUtils.status == this.errorCodes.DONE) {
+  //     this.dataProviderInfo.relatedDatasources = new Map<string, { "name": string, "countPublications": string, "countDatasets": string, "countSoftware": string, "countOrps": string }>();
+  //   }
+  //   for (let result of this.fetchAggregatorsPublications.results) {
+  //     if (!this.dataProviderInfo.relatedDatasources.has(result.id)) {
+  //       this.dataProviderInfo.relatedDatasources.set(result.id, {
+  //         "name": result.name,
+  //         "countPublications": result.count,
+  //         "countDatasets": "0",
+  //         "countSoftware": "0",
+  //         "countOrps": "0"
+  //       });
+  //     } else {
+  //       this.dataProviderInfo.relatedDatasources.get(result.id).countPublications = parseInt(this.dataProviderInfo.relatedDatasources.get(result.id).countPublications + result.count) + "";
+  //     }
+  //   }
+  //
+  //   for (let result of this.fetchAggregatorsDatasets.results) {
+  //     if (!this.dataProviderInfo.relatedDatasources.has(result.id)) {
+  //       this.dataProviderInfo.relatedDatasources.set(result.id, {
+  //         "name": result.name,
+  //         "countPublications": "0",
+  //         "countDatasets": result.count,
+  //         "countSoftware": "0",
+  //         "countOrps": "0"
+  //       });
+  //     } else {
+  //       this.dataProviderInfo.relatedDatasources.get(result.id).countDatasets = parseInt(this.dataProviderInfo.relatedDatasources.get(result.id).countDatasets + result.count) + "";
+  //     }
+  //   }
+  //
+  //   for (let result of this.fetchAggregatorsSoftware.results) {
+  //     if (!this.dataProviderInfo.relatedDatasources.has(result.id)) {
+  //       this.dataProviderInfo.relatedDatasources.set(result.id, {
+  //         "name": result.name,
+  //         "countPublications": "0",
+  //         "countDatasets": "0",
+  //         "countSoftware": result.count,
+  //         "countOrps": "0"
+  //       });
+  //     } else {
+  //       this.dataProviderInfo.relatedDatasources.get(result.id).countSoftware = parseInt(this.dataProviderInfo.relatedDatasources.get(result.id).countSoftware + result.count) + "";
+  //     }
+  //   }
+  //
+  //   for (let result of this.fetchAggregatorsOrps.results) {
+  //     if (!this.dataProviderInfo.relatedDatasources.has(result.id)) {
+  //       this.dataProviderInfo.relatedDatasources.set(result.id, {
+  //         "name": result.name,
+  //         "countPublications": "0",
+  //         "countDatasets": "0",
+  //         "countSoftware": "0",
+  //         "countOrps": result.count
+  //       });
+  //     } else {
+  //       this.dataProviderInfo.relatedDatasources.get(result.id).countOrps = parseInt(this.dataProviderInfo.relatedDatasources.get(result.id).countOrps + result.count) + "";
+  //     }
+  //   }
+  //   this.loadingRelatedDatasources = false;
+  // }
 
-    for (let result of this.fetchAggregatorsDatasets.results) {
-      if (!this.dataProviderInfo.relatedDatasources.has(result.id)) {
-        this.dataProviderInfo.relatedDatasources.set(result.id, {
-          "name": result.name,
-          "countPublications": "0",
-          "countDatasets": result.count,
-          "countSoftware": "0",
-          "countOrps": "0"
-        });
-      } else {
-        this.dataProviderInfo.relatedDatasources.get(result.id).countDatasets = parseInt(this.dataProviderInfo.relatedDatasources.get(result.id).countDatasets + result.count) + "";
-      }
-    }
-
-    for (let result of this.fetchAggregatorsSoftware.results) {
-      if (!this.dataProviderInfo.relatedDatasources.has(result.id)) {
-        this.dataProviderInfo.relatedDatasources.set(result.id, {
-          "name": result.name,
-          "countPublications": "0",
-          "countDatasets": "0",
-          "countSoftware": result.count,
-          "countOrps": "0"
-        });
-      } else {
-        this.dataProviderInfo.relatedDatasources.get(result.id).countSoftware = parseInt(this.dataProviderInfo.relatedDatasources.get(result.id).countSoftware + result.count) + "";
-      }
-    }
-
-    for (let result of this.fetchAggregatorsOrps.results) {
-      if (!this.dataProviderInfo.relatedDatasources.has(result.id)) {
-        this.dataProviderInfo.relatedDatasources.set(result.id, {
-          "name": result.name,
-          "countPublications": "0",
-          "countDatasets": "0",
-          "countSoftware": "0",
-          "countOrps": result.count
-        });
-      } else {
-        this.dataProviderInfo.relatedDatasources.get(result.id).countOrps = parseInt(this.dataProviderInfo.relatedDatasources.get(result.id).countOrps + result.count) + "";
-      }
-    }
-    this.loadingRelatedDatasources = false;
-  }
-
   public metricsResults($event) {
     this.totalViews = $event.totalViews;
     this.totalDownloads = $event.totalDownloads;
@@ -541,6 +601,26 @@
     this.pageViews = $event.pageViews;
   }
 
+  public openStatistics() {
+    this.statsClicked = true;
+    this.statisticsModal.cancelButton = false;
+    this.statisticsModal.okButton = false;
+    this.statisticsModal.alertTitle = "Statistics of";
+    this.statisticsModal.open();
+  }
+
+  public openRelatedDatasources() {
+    this.searchRelatedDatasources(1, 0);
+    this.relatedDatasourcesModal.cancelButton = false;
+    this.relatedDatasourcesModal.okButton = false;
+    this.relatedDatasourcesModal.alertTitle = "Related content providers of";
+    this.relatedDatasourcesModal.open();
+  }
+
+  public removeUnknown(array: string[]): string[] {
+    return array.filter(value => value.toLowerCase() !== 'unknown');
+  }
+
   private handleError(message: string, error) {
     console.error("Content Provider Landing Page: " + message, error);
   }
